using Furion;
using System.IO;

namespace YBEE.EQM.Core;


public static class FileUtil
{
    /// <summary>
    /// 获取临时目录
    /// </summary>
    /// <returns></returns>
    public static string GetTempFileRoot()
    {
        string r = Path.Combine(App.WebHostEnvironment.ContentRootPath, CommonConst.TEMP_FILE_ROOT);
        if (!Directory.Exists(r))
        {
            Directory.CreateDirectory(r);
        }
        return r;
    }
}
